Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

FIREFOX 30 NOT COMPATIBLE WITH ROBORM , IS FIREFOX 31 COMPATIBLE

more options

My Dearest Support ,

I Love & have always used Firefox . However Firefox 30 was Not compatible with Roboform , which have also used for a decade & need all my information . Also definitely feel more comfortable with my 1,000s of p/ws already saved & set up in Roboform.

I had to uninstall Firefox 30 & hope for the best & if problems started arising , as they did the moment I installed Firefox 30 , I would have to move to Chrome . Not my choice , but no option.

Today I see install Firefox 31 .Is this version compatible with Roboform , or am I going to start having the same issues again ? Roboform was my biggest problem with 30 , but certainly not the only one ! It constantly crashed , stopped responding & I could go on , but no point.Uninstalled & prayed that a newer version would overcome all . So Firefox 31.0 is here . Welcome ! However , before I begin to go through what I went thru with Firefox 30.0 , Please let me know if it's compatible with Roboform,which automatically updates , as did Firefox , until I had to remove that option when uninstalling Firefox 30.0!

With gratitude for your time & help , Sincerely , Nadine Sirota Username : nsirota - TY!

All Replies (1)

more options

The latest version of Roboform is available here: http://www.roboform.com/platforms/windows/firefox